<h4>Nouveau lieu</h4>
<form *ngIf="form" [formGroup]="form" (submit)="save()">
  <div class="row">
    <mat-form-field class="col-8">
      <mat-label>ça localisation</mat-label>
      <input #autocomplete type="text" matInput placeholder="tape une recherche google maps" formControlName="location" required/>
      <mat-error *ngIf="form.controls['placeType'].invalid">La localisation est requise</mat-error>
    </mat-form-field>
    <agm-map class="col-4" (mapReady)="mapReady($event)">
    </agm-map>
  </div>
  <div class="row">
    <mat-form-field class="col-4">
      <input type="text" matInput placeholder="son nom" formControlName="name" autocomplete="place-name" required />
      <mat-error *ngIf="form.controls['name'].invalid">Le nom est requis</mat-error>
    </mat-form-field>
    <mat-form-field class="col-4">
      <mat-select formControlName="placeType" placeholder="son type" required>
        <mat-option *ngFor="let type of placeTypes" [value]="type.key">{{ type.value }}</mat-option>
      </mat-select>
      <mat-error *ngIf="form.controls['placeType'].invalid">Le type est requis</mat-error>
    </mat-form-field>
  </div>
  <div class="row">
    tu peux ajouter
    <mat-form-field class="col-12">
      <textarea matInput placeholder="une description" formControlName="description" maxlength="500"></textarea>
    </mat-form-field>
  </div>
  <div class="row">
    <div class="col">
      <button mat-raised-button color="pimary" type="button" (click)="addContact()">
        Ajouter
      </button> des coordonnées comme un site web, une adresse email ou des numéros de téléphones
    </div>
  </div>
  <div class="row" *ngFor="let contact of form.controls['contacts'].controls; index as i" [formGroup]="contact">
    <mat-form-field class="col-2">
      <mat-select formControlName="contactType" placeholder="type" required>
        <mat-option *ngFor="let type of contactTypes" [value]="type.key">{{ type.value }}</mat-option>
      </mat-select>
      <mat-error *ngIf="form.controls['placeType'].invalid">Le type de contact est requis</mat-error>
    </mat-form-field>
    <mat-form-field class="col" floatLabel="never">
      <input type="text" matInput [placeholder]="getContactPlaceHolder(contact.controls['contactType'].value)" formControlName="value"
        autocomplete="place-contact" required/>
      <mat-error *ngIf="contact.controls['value'].invalid">La valeur est requise</mat-error>
    </mat-form-field>
    <div class="col-1">
      <button mat-mini-fab color="pimary" type="button" (click)="removeContact(i)">
        <i class="material-icons">
          remove
        </i>
      </button>
    </div>
  </div>
  <div class="row">
    <mat-form-field class="col">
      <input type="text" matInput placeholder="un lien vers une photo" formControlName="photoUrl" autocomplete="place-photo" />
    </mat-form-field>
    <div class="col-2">
      <img class="img" [hidden]="!form.controls['photoUrl'].value" [src]="form.controls['photoUrl'].value">
    </div>
  </div>
  <button mat-raised-button color="pimary" type="submit" [disabled]="form.invalid">Enregister</button>
</form>
